## funnel funnel |

## Properties

gboolean | forward-sticky-events | Read / Write

## Types and Values

struct | GstFunnel

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstFunnel

## Description

Takes packets from various input sinks into one output source.

funnel always outputs a single, open ended segment from 0 with in `GST_FORMAT_TIME` and outputs the buffers of the different sinkpads with timestamps that are set to the running time for that stream. funnel does not synchronize the different input streams but simply forwards all buffers immediately when they arrive.

## Synopsis

### Element Information

plugin | coreelements
author | Olivier Crete <olivier.crete@collabora.co.uk>
class | Generic

### Element Pads

name | sink_%u
direction | sink
presence | request
details | ANY

name | src
direction | source
presence | always
details | ANY

## Functions

## Types and Values

### struct GstFunnel

    struct GstFunnel;

Opaque GstFunnel data structure.

## Property Details

### The `“forward-sticky-events”` property

      “forward-sticky-events”    gboolean

Forward sticky events on stream changes.

Flags: Read / Write

Default value: TRUE